- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreEntity.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreString.h"`
`#include "OgreMovableObject.h"`
`#include "OgreQuaternion.h"`
`#include "OgreVector3.h"`
`#include "OgreHardwareBufferManager.h"`
`#include "OgreMesh.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::Entity
| Defines an instance of a discrete, movable object based on a Mesh. More...
class | Ogre::Entity::EntityShadowRenderable
| Nested class to allow entity shadows. More...
class | Ogre::EntityFactory
| Factory object for creating Entity instances. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008